Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 513)
@@ -192,7 +192,7 @@
 		try {			
 			// create the Toolbox initialization job
 			JobHandler jobhandler = new JobHandler(
-					Messages.ApplicationWorkbenchAdvisor_1, true) {
+					RCPMessages.ApplicationWorkbenchAdvisor_1, true) {
 				@Override
 				protected IStatus run(IProgressMonitor monitor) {
 					JobsTimer.start();
@@ -209,11 +209,11 @@
 									//Display.getCurrent() works because this code is run during the splash screen
 									String[] dialogButtonLabels = {"OK", "Cancel"};
 									CGUMessageDialog dialog = new CGUMessageDialog(Display.getCurrent().getActiveShell(), 
-											Messages.CGU_TITLE, 
+											RCPMessages.CGU_TITLE, 
 											IImageKeys.getImage(IImageKeys.TXM_ICON), 
-											Messages.CGU_MESSAGE, 
+											RCPMessages.CGU_MESSAGE, 
 											IImageKeys.getImage(IImageKeys.TXM), 
-											Messages.CGU_CHECKMESSAGE, 
+											RCPMessages.CGU_CHECKMESSAGE, 
 											dialogButtonLabels, 0) {
 									};
 									boolean ret = (dialog.open() == MessageDialog.OK) && dialog.hasCheckBeenPressed();
@@ -241,28 +241,28 @@
 						//fixUpdateProfile();
 
 						// SET PREFERENCES IF THIS IS THE FIRST RUN
-						monitor.setTaskName(Messages.ApplicationWorkbenchAdvisor_2);
-						Log.warning(Messages.ApplicationWorkbenchAdvisor_72);
+						monitor.setTaskName(RCPMessages.ApplicationWorkbenchAdvisor_2);
+						Log.warning(RCPMessages.ApplicationWorkbenchAdvisor_72);
 						if (!loadInstallPreferences(this)) {
 							monitor.done();
-							System.err.println(Messages.ApplicationWorkbenchAdvisor_init_failed);
+							System.err.println(RCPMessages.ApplicationWorkbenchAdvisor_init_failed);
 							return Status.CANCEL_STATUS;
 						}
 						monitor.worked(10);
 
 						// CHECK IF THIS IS THE FIRST RUN
-						monitor.setTaskName(Messages.ApplicationWorkbenchAdvisor_3);
-						Log.warning(Messages.ApplicationWorkbenchAdvisor_73);
+						monitor.setTaskName(RCPMessages.ApplicationWorkbenchAdvisor_3);
+						Log.warning(RCPMessages.ApplicationWorkbenchAdvisor_73);
 						if (!checkTXMHOME(this, monitor)) {
 							monitor.done();
-							System.err.println(Messages.ApplicationWorkbenchAdvisor_init_failed);
+							System.err.println(RCPMessages.ApplicationWorkbenchAdvisor_init_failed);
 							return Status.CANCEL_STATUS;
 						}
 						monitor.worked(30);
 
 						//INITIALIZE TBX AND UI
-						monitor.setTaskName(Messages.ApplicationWorkbenchAdvisor_0);
-						Log.warning(Messages.ApplicationWorkbenchAdvisor_74);
+						monitor.setTaskName(RCPMessages.ApplicationWorkbenchAdvisor_0);
+						Log.warning(RCPMessages.ApplicationWorkbenchAdvisor_74);
 						if (!initializeUI(this)) {
 							monitor.done();
 							return Status.CANCEL_STATUS;
@@ -275,18 +275,18 @@
 
 						monitor.done();
 					} catch (Exception e) {
-						System.out.println(Messages.ApplicationWorkbenchAdvisor_75+e);
+						System.out.println(RCPMessages.ApplicationWorkbenchAdvisor_75+e);
 						org.txm.rcp.utils.Logger.printStackTrace(e);
 					} catch(ThreadDeath td) {
 						System.out.println("TXM initialization has been canceled by user. Please restart TXM.");
 					}
 					
 					if (Toolbox.isInitialized()) {
-						StatusLine.setMessage(Messages.ApplicationWorkbenchAdvisor_ready);
-						System.out.println(Messages.ApplicationWorkbenchAdvisor_ready);
+						StatusLine.setMessage(RCPMessages.ApplicationWorkbenchAdvisor_ready);
+						System.out.println(RCPMessages.ApplicationWorkbenchAdvisor_ready);
 					} else {
-						StatusLine.setMessage(Messages.ApplicationWorkbenchAdvisor_init_failed);
-						System.out.println(Messages.ApplicationWorkbenchAdvisor_init_failed);
+						StatusLine.setMessage(RCPMessages.ApplicationWorkbenchAdvisor_init_failed);
+						System.out.println(RCPMessages.ApplicationWorkbenchAdvisor_init_failed);
 					}
 					
 					JobsTimer.stopAndPrint();
@@ -299,8 +299,8 @@
 			startUpdateLookUpJob();
 
 		} catch (Exception e) {
-			Log.severe(Messages.ApplicationWorkbenchAdvisor_init_failed+" "+e.getMessage());
-			System.out.println(Messages.ApplicationWorkbenchAdvisor_init_failed+" "+e.getMessage());
+			Log.severe(RCPMessages.ApplicationWorkbenchAdvisor_init_failed+" "+e.getMessage());
+			System.out.println(RCPMessages.ApplicationWorkbenchAdvisor_init_failed+" "+e.getMessage());
 			Log.printStackTrace(e);
 		}
 	}
@@ -333,7 +333,7 @@
 		// build the properties given to the Toolbox
 		String version =  Activator.getDefault().getBundle().getVersion().toString(); // "0.7.7.201412160925";
 		version = version.replaceAll("(.\\..\\..)\\.(....)(..)(..)(..)(..)", "$1 ($2-$3-$4 $5h$6)"); //$NON-NLS-1$ //$NON-NLS-2$
-		System.out.println(NLS.bind(Messages.ApplicationWorkbenchAdvisor_init, version));
+		System.out.println(NLS.bind(RCPMessages.ApplicationWorkbenchAdvisor_init, version));
 
 	}
 //
@@ -384,7 +384,7 @@
 		PreferenceManager pm = PlatformUI.getWorkbench().getPreferenceManager();
 
 		// Remove RCP Update preference page
-		Log.warning(Messages.ApplicationWorkbenchAdvisor_21);
+		Log.warning(RCPMessages.ApplicationWorkbenchAdvisor_21);
 		if (!TXMPreferences.getBoolean(TBXPreferences.EXPERT_USER, TBXPreferences.PREFERENCES_NODE)) {
 			pm.remove("org.eclipse.equinox.internal.p2.ui.sdk.ProvisioningPreferencePage"); //$NON-NLS-1$
 
@@ -435,7 +435,7 @@
 				return;
 			}
 
-			Log.warning(Messages.ApplicationWorkbenchAdvisor_77);
+			Log.warning(RCPMessages.ApplicationWorkbenchAdvisor_77);
 
 			Display.getDefault().syncExec(new Runnable() {
 				@Override
@@ -447,11 +447,11 @@
 							e.display = Display.getDefault();
 							handlerService.executeCommand(TXMUpdateHandler.ID, e);
 						} catch (Exception e) {
-							System.out.println(Messages.ApplicationWorkbenchAdvisor_78+e);
+							System.out.println(RCPMessages.ApplicationWorkbenchAdvisor_78+e);
 							Log.printStackTrace(e);
 						}
 					} else {
-						System.out.println(Messages.ApplicationWorkbenchAdvisor_79);
+						System.out.println(RCPMessages.ApplicationWorkbenchAdvisor_79);
 					}
 				}
 			});
@@ -528,7 +528,7 @@
 	 */
 	private void InitializeLogger() {
 		IOConsole console = new IOConsole(
-				Messages.ApplicationWorkbenchAdvisor_5, null);
+				RCPMessages.ApplicationWorkbenchAdvisor_5, null);
 		ConsolePlugin.getDefault().getConsoleManager().addConsoles(
 				new IConsole[] { console });
 
@@ -592,7 +592,7 @@
 
 				File preferenceFile = new File(installDirectory, "install.prefs"); //$NON-NLS-1$
 				if (preferenceFile.exists()) {
-					System.out.println(NLS.bind(Messages.ApplicationWorkbenchAdvisor_25, preferenceFile));
+					System.out.println(NLS.bind(RCPMessages.ApplicationWorkbenchAdvisor_25, preferenceFile));
 					if (Util.isWindows()) //NSIS has generated ISO-8859-1 preference file
 						TxmPreferences.importFromFile(preferenceFile, "ISO-8859-1", false); //$NON-NLS-1$
 					else
@@ -630,7 +630,7 @@
 				return true;
 			}
 		} catch (Exception e) {
-			System.err.println(Messages.ApplicationWorkbenchAdvisor_9+ " " +e.getLocalizedMessage());
+			System.err.println(RCPMessages.ApplicationWorkbenchAdvisor_9+ " " +e.getLocalizedMessage());
 			Log.printStackTrace(e);
 			return false;
 		}
@@ -716,9 +716,9 @@
 		System.setProperty("org.txm.rcp.wasfirstrun", Boolean.toString(needToRestoreTXMHOME || installPreferenceRestored)); //$NON-NLS-1$
 		if (needToRestoreTXMHOME || installPreferenceRestored) {
 			
-			System.out.println(Messages.ApplicationWorkbenchAdvisor_7);
+			System.out.println(RCPMessages.ApplicationWorkbenchAdvisor_7);
 			try {
-				Log.info(Messages.ApplicationWorkbenchAdvisor_68);
+				Log.info(RCPMessages.ApplicationWorkbenchAdvisor_68);
 				Display.getDefault().syncExec(new Runnable() {
 					@Override
 					public void run() {
@@ -726,7 +726,7 @@
 					}
 				});
 			} catch(Exception e) {
-				Log.warning(Messages.ApplicationWorkbenchAdvisor_69+e);
+				Log.warning(RCPMessages.ApplicationWorkbenchAdvisor_69+e);
 				Log.printStackTrace(e);
 			}
 
@@ -751,7 +751,7 @@
 					Log.severe("Error: The provided install directory does not exists. Aborting.");
 					return false;
 				}
-				Log.info(NLS.bind(Messages.ApplicationWorkbenchAdvisor_8, TXMPreferences.getString(TBXPreferences.INSTALL_DIR, TBXPreferences.PREFERENCES_NODE)));
+				Log.info(NLS.bind(RCPMessages.ApplicationWorkbenchAdvisor_8, TXMPreferences.getString(TBXPreferences.INSTALL_DIR, TBXPreferences.PREFERENCES_NODE)));
 
 				Log.info("Checking TXM user directory.");
 				if (TXMPreferences.getString(TBXPreferences.USER_TXM_HOME, TBXPreferences.PREFERENCES_NODE).trim().isEmpty()) {
@@ -763,7 +763,7 @@
 				txmhomedir.mkdirs(); // creates the directory if needed
 				
 				if (!txmhomedir.exists()) { // the TXM user directory could not be created !! :o
-					Log.warning(NLS.bind(Messages.ApplicationWorkbenchAdvisor_12, txmhomedir));
+					Log.warning(NLS.bind(RCPMessages.ApplicationWorkbenchAdvisor_12, txmhomedir));
 					Display.getDefault().syncExec(new Runnable() {
 						@Override
 						public void run() {
@@ -794,22 +794,22 @@
 						public void run() {
 							Display display = Display.getDefault();
 							Shell shell = display.getActiveShell();
-							go = MessageDialog.openConfirm(shell, Messages.ApplicationWorkbenchAdvisor_28, NLS.bind(Messages.ApplicationWorkbenchAdvisor_27, txmhomedir));
+							go = MessageDialog.openConfirm(shell, RCPMessages.ApplicationWorkbenchAdvisor_28, NLS.bind(RCPMessages.ApplicationWorkbenchAdvisor_27, txmhomedir));
 						}
 					});
 
 					if (go) {
-						monitor.setTaskName(Messages.bind(Messages.ApplicationWorkbenchAdvisor_30, backup.getAbsolutePath()));
+						monitor.setTaskName(RCPMessages.bind(RCPMessages.ApplicationWorkbenchAdvisor_30, backup.getAbsolutePath()));
 						backup.mkdir();
 
 						if (!backup.exists()) {
-							System.out.println(Messages.ApplicationWorkbenchAdvisor_34 + backup);
+							System.out.println(RCPMessages.ApplicationWorkbenchAdvisor_34 + backup);
 							return false;
 						}
 
 						//$NON-NLS-1$
 						if (oldbackup.exists()) {
-							Log.info(Messages.bind(Messages.ApplicationWorkbenchAdvisor_16, oldbackup));
+							Log.info(RCPMessages.bind(RCPMessages.ApplicationWorkbenchAdvisor_16, oldbackup));
 							DeleteDir.deleteDirectory(oldbackup); // ]8)
 						}
 
@@ -819,7 +819,7 @@
 
 						if (corpDirs != null) {
 							Arrays.sort(corpDirs);
-							System.out.print(Messages.bind(Messages.ApplicationWorkbenchAdvisor_30, backup.getAbsolutePath()));
+							System.out.print(RCPMessages.bind(RCPMessages.ApplicationWorkbenchAdvisor_30, backup.getAbsolutePath()));
 							for (File corpusdir : corpDirs) {
 								File backCorpus = new File(backup, corpusdir.getName());
 								if (corpusdir.canRead() && corpusdir.isDirectory()) {
@@ -838,24 +838,24 @@
 							System.out.println();
 						}
 						if (moved.size() > 0) {
-							Log.info(Messages.bind(Messages.ApplicationWorkbenchAdvisor_18,oldbackup,StringUtils.join(moved,", "))); //$NON-NLS-1$
+							Log.info(RCPMessages.bind(RCPMessages.ApplicationWorkbenchAdvisor_18,oldbackup,StringUtils.join(moved,", "))); //$NON-NLS-1$
 						}
 						if (failed.size() > 0) {
-							System.out.println(Messages.ApplicationWorkbenchAdvisor_44+failed+Messages.ApplicationWorkbenchAdvisor_37+backup);
+							System.out.println(RCPMessages.ApplicationWorkbenchAdvisor_44+failed+RCPMessages.ApplicationWorkbenchAdvisor_37+backup);
 						}
 					}
 				}
 			} catch (Exception e) {
 				org.txm.rcp.utils.Logger.printStackTrace(e);
-				System.out.println(Messages.ApplicationWorkbenchAdvisor_47+" "+e.getLocalizedMessage()); //$NON-NLS-1$
-				Log.severe(Messages.ApplicationWorkbenchAdvisor_47+e.getLocalizedMessage());
+				System.out.println(RCPMessages.ApplicationWorkbenchAdvisor_47+" "+e.getLocalizedMessage()); //$NON-NLS-1$
+				Log.severe(RCPMessages.ApplicationWorkbenchAdvisor_47+e.getLocalizedMessage());
 				return false;
 			}
 
 			try {
 				txmhomedir.mkdir();
 				if (!txmhomedir.exists()) {
-					System.out.println(NLS.bind(Messages.ApplicationWorkbenchAdvisor_13, txmhomedir));
+					System.out.println(NLS.bind(RCPMessages.ApplicationWorkbenchAdvisor_13, txmhomedir));
 					return false;
 				}
 
@@ -880,7 +880,7 @@
 
 				// test
 				if (Toolbox.workspace == null) {
-					System.out.println(Messages.ApplicationWorkbenchAdvisor_31);
+					System.out.println(RCPMessages.ApplicationWorkbenchAdvisor_31);
 					return false;
 				}
 
@@ -889,15 +889,15 @@
 				for (String folder : copyfolders) {
 					File ffile = new File(TXMPreferences.getString(TBXPreferences.PREFERENCES_NODE, TBXPreferences.INSTALL_DIR), folder);
 					if (!ffile.exists()) {
-						System.out.println(NLS.bind(Messages.ApplicationWorkbenchAdvisor_39, ffile));
+						System.out.println(NLS.bind(RCPMessages.ApplicationWorkbenchAdvisor_39, ffile));
 						continue;
 					}
 
 					FileCopy.copyFiles(ffile, new File(txmhomedir, folder));
 				}
 			} catch (Exception e) {
-				Log.severe(NLS.bind(Messages.ApplicationWorkbenchAdvisor_40, e.getLocalizedMessage()));
-				System.err.println(NLS.bind(Messages.ApplicationWorkbenchAdvisor_40, e.getLocalizedMessage()));
+				Log.severe(NLS.bind(RCPMessages.ApplicationWorkbenchAdvisor_40, e.getLocalizedMessage()));
+				System.err.println(NLS.bind(RCPMessages.ApplicationWorkbenchAdvisor_40, e.getLocalizedMessage()));
 				return false;
 			}
 
@@ -907,8 +907,8 @@
 				TXMPreferences.putString(TBXPreferences.PREFERENCES_NODE, 
 						TBXPreferences.WORKSPACE_LOCATION, new File(txmhomedir,	"workspaces/default.xml").getAbsolutePath()); //$NON-NLS-1$
 			} catch (Exception e) {
-				Log.severe(NLS.bind(Messages.ApplicationWorkbenchAdvisor_41, e.getLocalizedMessage()));
-				System.out.println(NLS.bind(Messages.ApplicationWorkbenchAdvisor_41, e.getLocalizedMessage()));
+				Log.severe(NLS.bind(RCPMessages.ApplicationWorkbenchAdvisor_41, e.getLocalizedMessage()));
+				System.out.println(NLS.bind(RCPMessages.ApplicationWorkbenchAdvisor_41, e.getLocalizedMessage()));
 				return false;
 			}
 
@@ -916,8 +916,8 @@
 				ArrayList<String> basenames = new ArrayList<String>();
 				ArrayList<String> sampleCorpusLoaded = new ArrayList<String>();
 				if (new File(txmhomedir, "samples").exists()) { //$NON-NLS-1$
-					Log.info(Messages.ApplicationWorkbenchAdvisor_11);
-					monitor.setTaskName(Messages.ApplicationWorkbenchAdvisor_11);
+					Log.info(RCPMessages.ApplicationWorkbenchAdvisor_11);
+					monitor.setTaskName(RCPMessages.ApplicationWorkbenchAdvisor_11);
 					//File corporaDir = new File(txmhomedir.getAbsolutePath(), "corpora"); //$NON-NLS-1$
 					corporaDir.mkdir();
 
@@ -930,7 +930,7 @@
 							String basedirname;
 							if (filename.endsWith(".txm") || filename.endsWith(".zip")) { //$NON-NLS-1$ //$NON-NLS-2$
 								if (!zipFile.canRead()) {
-									System.out.println(NLS.bind(Messages.ApplicationWorkbenchAdvisor_45, zipFile));
+									System.out.println(NLS.bind(RCPMessages.ApplicationWorkbenchAdvisor_45, zipFile));
 									continue; // go to next binary file
 								}
 
@@ -941,13 +941,13 @@
 								try {
 									Zip.decompress(zipFile.getAbsolutePath(), corporaDir.getAbsolutePath(), false);
 								} catch (IOException e) {
-									System.out.println(NLS.bind(Messages.AddBase_31, e));
+									System.out.println(NLS.bind(RCPMessages.AddBase_31, e));
 								}
 							} else if (zipFile.isDirectory()) {
 								basedir = zipFile;
 							} else {
-								System.out.println(NLS.bind(Messages.AddBase_22, zipFile));
-								System.out.println(Messages.AddBase_25);
+								System.out.println(NLS.bind(RCPMessages.AddBase_22, zipFile));
+								System.out.println(RCPMessages.AddBase_25);
 								continue;
 							}
 
@@ -957,15 +957,15 @@
 								sampleCorpusLoaded.add(base.getName());
 							}
 						} catch (Exception e) {
-							System.out.println(Messages.ApplicationWorkbenchAdvisor_51+zipFile);
+							System.out.println(RCPMessages.ApplicationWorkbenchAdvisor_51+zipFile);
 							org.txm.rcp.utils.Logger.printStackTrace(e);
 						}
 					}
 				}
 
 				if (backup.exists()) {
-					System.out.print(NLS.bind(Messages.ApplicationWorkbenchAdvisor_53, backup));
-					monitor.setTaskName(NLS.bind(Messages.ApplicationWorkbenchAdvisor_53, backup));
+					System.out.print(NLS.bind(RCPMessages.ApplicationWorkbenchAdvisor_53, backup));
+					monitor.setTaskName(NLS.bind(RCPMessages.ApplicationWorkbenchAdvisor_53, backup));
 
 					File[] corpusDirs = backup.listFiles();
 
@@ -998,9 +998,9 @@
 								Convert5To6 converter = new Convert5To6(corpusDir, outdir);
 								if (converter.is5(true)) {
 									if (!converter.start()) {
-										System.out.println(Messages.ApplicationWorkbenchAdvisor_22+corpusDir+Messages.ApplicationWorkbenchAdvisor_23);
-										System.out.println(Messages.ApplicationWorkbenchAdvisor_54+corpusDir+Messages.ApplicationWorkbenchAdvisor_55);
-										System.out.println(Messages.ApplicationWorkbenchAdvisor_56);
+										System.out.println(RCPMessages.ApplicationWorkbenchAdvisor_22+corpusDir+RCPMessages.ApplicationWorkbenchAdvisor_23);
+										System.out.println(RCPMessages.ApplicationWorkbenchAdvisor_54+corpusDir+RCPMessages.ApplicationWorkbenchAdvisor_55);
+										System.out.println(RCPMessages.ApplicationWorkbenchAdvisor_56);
 										broken.add(corpusDir);
 									} else {
 										//System.out.println(Messages.ApplicationWorkbenchAdvisor_57+outdir);
@@ -1012,40 +1012,40 @@
 										if (corpusDir.renameTo(outdir)) {
 											Base base = LoadBinaryCorpus.loadBinaryCorpus(outdir);
 											if (base == null) {
-												System.out.println(Messages.ApplicationWorkbenchAdvisor_58+outdir);
-												System.out.println(Messages.ApplicationWorkbenchAdvisor_59+corpusDir);
+												System.out.println(RCPMessages.ApplicationWorkbenchAdvisor_58+outdir);
+												System.out.println(RCPMessages.ApplicationWorkbenchAdvisor_59+corpusDir);
 												outdir.renameTo(corpusDir);
 												broken.add(corpusDir);
 											} else {
 												basenames.add(base.getName());
 											}
 										} else {
-											System.out.println(Messages.ApplicationWorkbenchAdvisor_24+corpusDir+Messages.ApplicationWorkbenchAdvisor_26+outdir);
+											System.out.println(RCPMessages.ApplicationWorkbenchAdvisor_24+corpusDir+RCPMessages.ApplicationWorkbenchAdvisor_26+outdir);
 											broken.add(corpusDir);
 										}
 									} else {
-										System.out.println(Messages.ApplicationWorkbenchAdvisor_60+corpusDir+Messages.ApplicationWorkbenchAdvisor_61);
+										System.out.println(RCPMessages.ApplicationWorkbenchAdvisor_60+corpusDir+RCPMessages.ApplicationWorkbenchAdvisor_61);
 										broken.add(corpusDir);
 									}
 								}
 							} catch (Throwable e) {
-								System.out.println(Messages.ApplicationWorkbenchAdvisor_59+corpusDir);
-								System.out.println(Messages.ApplicationWorkbenchAdvisor_29+e);
+								System.out.println(RCPMessages.ApplicationWorkbenchAdvisor_59+corpusDir);
+								System.out.println(RCPMessages.ApplicationWorkbenchAdvisor_29+e);
 								outdir.renameTo(corpusDir);
 							}
 						}
 						System.out.println();
 						if (sampleCorpusLoaded.size() > 0) {
 							if (sampleCorpusLoaded.size() == 1) {
-								System.out.println(Messages.bind(Messages.ApplicationWorkbenchAdvisor_43_single, StringUtils.join(sampleCorpusLoaded, ", "))); //$NON-NLS-1$
+								System.out.println(RCPMessages.bind(RCPMessages.ApplicationWorkbenchAdvisor_43_single, StringUtils.join(sampleCorpusLoaded, ", "))); //$NON-NLS-1$
 							} else {
-								System.out.println(Messages.bind(Messages.ApplicationWorkbenchAdvisor_43, StringUtils.join(sampleCorpusLoaded, ", "))); //$NON-NLS-1$
+								System.out.println(RCPMessages.bind(RCPMessages.ApplicationWorkbenchAdvisor_43, StringUtils.join(sampleCorpusLoaded, ", "))); //$NON-NLS-1$
 							}
 						}
 
 						if (broken.size() > 0) {
 							errorbackup.mkdir();
-							System.out.println(Messages.bind(Messages.ApplicationWorkbenchAdvisor_48, StringUtils.join(broken, ", "), errorbackup)); //$NON-NLS-1$
+							System.out.println(RCPMessages.bind(RCPMessages.ApplicationWorkbenchAdvisor_48, StringUtils.join(broken, ", "), errorbackup)); //$NON-NLS-1$
 							for(File corpusDir : broken) {
 								if (corpusDir.exists())
 									corpusDir.renameTo(new File(errorbackup, corpusDir.getName()));
@@ -1058,9 +1058,9 @@
 
 				// init with properties
 				if (Toolbox.initialize(TBXPreferences.class, monitor)) {
-					System.out.println(Messages.ApplicationWorkbenchAdvisor_ready);
+					System.out.println(RCPMessages.ApplicationWorkbenchAdvisor_ready);
 				} else {
-					System.err.println(Messages.ApplicationWorkbenchAdvisor_init_failed);
+					System.err.println(RCPMessages.ApplicationWorkbenchAdvisor_init_failed);
 					return false;
 				}
 
@@ -1073,8 +1073,8 @@
 					return false;
 				}
 			} catch (Exception e) {
-				Log.severe(NLS.bind(Messages.ApplicationWorkbenchAdvisor_52, e.getLocalizedMessage()));
-				System.err.println(NLS.bind(Messages.ApplicationWorkbenchAdvisor_52, e.getLocalizedMessage()));
+				Log.severe(NLS.bind(RCPMessages.ApplicationWorkbenchAdvisor_52, e.getLocalizedMessage()));
+				System.err.println(NLS.bind(RCPMessages.ApplicationWorkbenchAdvisor_52, e.getLocalizedMessage()));
 				org.txm.rcp.utils.Logger.printStackTrace(e);
 				return false;
 			}
@@ -1129,11 +1129,11 @@
 			boolean showTTHelp = false;
 			if (ttdir != null || ttmodeldir != null) {
 				if (!(new File(ttdir).exists() && new File(ttmodeldir).exists())) {
-					System.err.println(Messages.ApplicationWorkbenchAdvisor_32);
+					System.err.println(RCPMessages.ApplicationWorkbenchAdvisor_32);
 					showTTHelp = true;
 				}
 			} else {
-				System.err.println(Messages.ApplicationWorkbenchAdvisor_33);
+				System.err.println(RCPMessages.ApplicationWorkbenchAdvisor_33);
 				//TxmPreferences.set(TreeTaggerPreferencePage.TREETAGGER_INSTALL_PATH, TxmPreferences.get(AdvancePreferencePage.TXMHOME)+"/treetagger"); //$NON-NLS-1$
 				//TxmPreferences.set(TreeTaggerPreferencePage.TREETAGGER_MODELS_PATH, TxmPreferences.get(AdvancePreferencePage.TXMHOME)+"/treetagger/models"); //$NON-NLS-1$
 				showTTHelp = true;
@@ -1164,7 +1164,7 @@
 			}
 		} catch (Exception e) {
 			Log.severe(e.getLocalizedMessage());
-			System.out.println(NLS.bind(Messages.ApplicationWorkbenchAdvisor_19, e));
+			System.out.println(NLS.bind(RCPMessages.ApplicationWorkbenchAdvisor_19, e));
 			return false;
 		}
 		return true;
@@ -1252,13 +1252,13 @@
 		Display.getDefault().syncExec(new Runnable() {
 			@Override
 			public void run() {
-				Log.warning(Messages.ApplicationWorkbenchAdvisor_88);
+				Log.warning(RCPMessages.ApplicationWorkbenchAdvisor_88);
 				RestartTXM.reloadViews();
 				
 				if (Toolbox.isInitialized()) {
-					StatusLine.setMessage(Messages.ApplicationWorkbenchAdvisor_ready);
+					StatusLine.setMessage(RCPMessages.ApplicationWorkbenchAdvisor_ready);
 				} else {
-					StatusLine.setMessage(Messages.ApplicationWorkbenchAdvisor_init_failed);
+					StatusLine.setMessage(RCPMessages.ApplicationWorkbenchAdvisor_init_failed);
 				}
 			}
 		});
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/Application.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/Application.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/Application.java	(revision 513)
@@ -82,12 +82,12 @@
 		Map args = context.getArguments();
 		
 		List<String> argsList = Arrays.asList((String[])(args.get("application.args")));
-		System.out.println(Messages.Application_0+argsList);
+		System.out.println(RCPMessages.Application_0+argsList);
 		if (argsList.contains("-log")) { //$NON-NLS-1$
-			System.out.println(Messages.Application_1);
+			System.out.println(RCPMessages.Application_1);
 			Log.setPrintInConsole(true);
 			Log.setLevel(Level.ALL);
-			Log.severe(Messages.Application_2);
+			Log.severe(RCPMessages.Application_2);
 			TXMPreferences.putBoolean(TBXPreferences.PREFERENCES_NODE, TBXPreferences.ADD_TECH_LOGS, true);
 			TXMPreferences.putString(TBXPreferences.PREFERENCES_NODE, TBXPreferences.LOG_LEVEL, "ALL"); //$NON-NLS-1$
 			TXMPreferences.putBoolean(TBXPreferences.PREFERENCES_NODE, TBXPreferences.LOG_STACKTRACE, true);
@@ -96,9 +96,9 @@
 			//System.out.println("Running TXM");
 		} else {
 			System.out.println("TXM must be launch with the argument '-run' to start."); //$NON-NLS-1$
-			System.out.println(Messages.Application_4);
+			System.out.println(RCPMessages.Application_4);
 
-			javax.swing.JOptionPane.showMessageDialog(null, Messages.Application_4);
+			javax.swing.JOptionPane.showMessageDialog(null, RCPMessages.Application_4);
 			return IApplication.EXIT_OK;
 		}
 		// test if Java 1.6 is installed
@@ -114,7 +114,7 @@
 		//display.addListener(SWT.OpenDocument, openDocProcessor);
 		
 		//Lock the RCP workspace, thus there is only one TXM instance running
-		Log.warning(Messages.Application_8);
+		Log.warning(RCPMessages.Application_8);
 		if (!Platform.getInstanceLocation().lock()){
 			//Shell shell = display.getActiveShell();
 			System.out.println("TXM is already running. Exiting...");
@@ -122,10 +122,10 @@
 		}
 
 		try {
-			Log.warning(Messages.Application_9);
+			Log.warning(RCPMessages.Application_9);
 			activateProxyService();
 		} catch (Exception e) {
-			Log.warning(Messages.Application_10+e);
+			Log.warning(RCPMessages.Application_10+e);
 		}
 
 		try {
@@ -237,7 +237,7 @@
 			cl = parser.parse(options, Platform.getCommandLineArgs());
 		} catch (ParseException e) {
 
-			System.err.println(NLS.bind(Messages.FAILED_TO_PARSE_OPTIONS,
+			System.err.println(NLS.bind(RCPMessages.FAILED_TO_PARSE_OPTIONS,
 					StringUtils.join(Platform.getCommandLineArgs(), " "), e)); //$NON-NLS-1$
 			org.txm.rcp.utils.Logger.printStackTrace(e);
 			exit = true;
@@ -255,7 +255,7 @@
 			preferences.save();
 		} catch (IOException e) {
 			System.err.println(NLS.bind(
-					Messages.FAILED_TO_SAVE_PREFERENCES, e));
+					RCPMessages.FAILED_TO_SAVE_PREFERENCES, e));
 			exit = true;
 			return exit;
 		}
